void ADC_init(void)
{
    ADMUX = 0;
    ADMUX |= (1 << REFS0);
    ADCSRA = (1 << ADEN) | (7 << ADPS0);

}

/*
    Returns the result of an ADC conversion. 
    Starts a conversion and waits for the result when not using interrupts.
*/
int ADC_get(uint8_t channel)
{
    ADMUX = (ADMUX & ~(0x1f << MUX0)) | channel;

    ADCSRA |= (1 << ADSC);
    while(ADCSRA & (1 << ADSC));

    return ADC;
}

/*
    Converts a value given by the ADC to celsius grades.
*/
double ADC_temp(int raw)
{
    //(void)raw;
    float volts = (float)raw * 5 / 1024;
    float temp = 27 + (volts - 3.61) * 100;
    return (double)temp;

}
